<mat-dialog-content>
  <table *ngIf="displayedColumns; else noData" mat-table [dataSource]="data" class="mat-elevation-z8">
    <ng-container *ngFor="let columnName of displayedColumns" [matColumnDef]="columnName">
      <th mat-header-cell *matHeaderCellDef>{{ columnName }}</th>
      <td mat-cell *matCellDef="let element">{{ element[columnName] }}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>

  <ng-template #noData>
    Input file empty or invalid
  </ng-template>
</mat-dialog-content>

<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
</div>
